Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::not_fn_fn Struct Reference
Functional

## Public Member Functions
template<typename Pred >
constexpr logical_negate< detail::decay_t< Pred > > | operator() (Pred &&pred) const

## Member Function Documentation

## ◆ operator()()

template<typename Pred >

constexpr logical_negate<detail::decay_t<Pred> > ranges::not_fn_fn::operator() | ( | Pred && | pred | ) | const
| constexpr

Precondition
  requires `move_constructible<detail::decay_t<Pred>> && constructible_from<detail::decay_t<Pred>, Pred>`